Subject: Re: [External] : Re: bug#60103: 28.2; Doc string of `previous-history-element'
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Fri, 16 Dec 2022 20:48:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Fri, 16 Dec 2022 17:53:34 +0000
> 
> > > The doc string says this:
> > >
> > >   Puts previous element of the minibuffer history in the minibuffer.
> > >   With argument N, it uses the Nth previous element.
> > >
> > > That second line makes it sound like arg N is optional.  It's not -
> > > there is no _without_ argument N.
> > 
> > What do you mean by "no _without_"?  This command is bound to M-p in
> > the minibuffer, and I can definitely invoke it as "just" M-n,
> > _without_ any prefix argument.
> 
> I mean "without argument N", not "without a prefix
> arg".
> 
> It's not possible to invoke the function without
> providing argument N - it's not optional.
> 
> If you want to say something like "With numeric
> prefix argument N..." then that would be fine.

That's what I did (the original doc string didn't mention the prefix
argument explicitly, but clearly alluded to that when it said
"argument").